/*AP.H
 *ASCIIPIXELS interface to SmallC-85
 *Part of M100SmallClib
 *ASCIIPIXELS by Ken Pettit
 *Willard Goosey
 *goosey@sdc.org
 *
 *10/12/2017
 */

 /*$Id: ap.h,v 1.2 2017/10/13 04:22:28 goosey Exp goosey $
  */

/*Please refer to AP_DOC.TXT for full documentation on ASCPIX*/

/*This isn't as pretty as I'd like since smallc-85's preprocessor
 *only does simple macros :-(
 */
  
#define ASCPIX 58000 /*entry point*/

/*call as bcall(ASCPIX,OPCODE,OPERAND) */

/*opcodes in A, arguement in HL*/

#define INIT_CURSOR 8
/*argument: Cursor number (0,1,2) */

#define CURSOR_ON 6
/*argument: y*256+x)

#define CURSOR_OFF 7
/*argument: none */

#define SET_RENDER 1
#define SET_RENDER_OFFSET 128
/*argument: y*256+x
 *also works as bcall(ASCPIX,y+128,x)
 */

#define RENDER_STRING 2
/*argument: VARPTR(A$)
 *see varptr_string.h
 */

#define RENDER_FILE 3
/*argument VARPTR($filename)
 *see varptr_string.h
 */

#define RENDER_RESOURCE 4
/*argument: VARPTR($resource_name)
 *see varptr_string.h
 */

#define RESOURCE_FILENAME 5
/*argument: VARPTR($filename)
 *see varptr_string.h
 */
 
/*eof ap.h*/




